## org.hibernate.internal.jaxb.mapping.hbm
Enum JaxbFetchAttributeWithSubselect

    java.lang.Object
      java.lang.Enum<JaxbFetchAttributeWithSubselect>
          org.hibernate.internal.jaxb.mapping.hbm.JaxbFetchAttributeWithSubselect

All Implemented Interfaces:
  Serializable, Comparable<JaxbFetchAttributeWithSubselect>

    public enum JaxbFetchAttributeWithSubselect

extends Enum<JaxbFetchAttributeWithSubselect>

Java class for fetch-attribute-with-subselect.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="fetch-attribute-with-subselect">
       <restriction base="{http://www.w3.org/2001/XMLSchema}token">
         <enumeration value="join"/>
         <enumeration value="select"/>
         <enumeration value="subselect"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`JOIN`
`SELECT`
`SUBSELECT`

Method Summary
`static JaxbFetchAttributeWithSubselect` `fromValue(String v)`
`String` `value()`
`static JaxbFetchAttributeWithSubselect` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbFetchAttributeWithSubselect[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JOIN

    public static final JaxbFetchAttributeWithSubselect JOIN

### SELECT

    public static final JaxbFetchAttributeWithSubselect SELECT

### SUBSELECT

    public static final JaxbFetchAttributeWithSubselect SUBSELECT

Method Detail

### values

    public static JaxbFetchAttributeWithSubselect[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JaxbFetchAttributeWithSubselect c : JaxbFetchAttributeWithSubselect.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JaxbFetchAttributeWithSubselect valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static JaxbFetchAttributeWithSubselect fromValue(String v)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.